// Package model provides models and persistent repository
package model

import (
	"context"

	"gitlab.mashroom.com/mashroom/backend/common/api/generic/query"
)

// Repository provides persistence interface
type Repository interface {
	Migrate(ctx context.Context) error
	EnquirySave(ctx context.Context, m *Enquiry) error
	EnquiryCount(ctx context.Context, params *query.QueryParams) (int64, error)
}
